Loading...
Searching...
No Matches
irr::IRandomizer Class Referenceabstract

Interface for generating random numbers. More...

`#include <IRandomizer.h>`

Inheritance diagram for irr::IRandomizer:

## Public Member Functions

virtual f32 | frand () const =0
| generates a pseudo random number in the range 0..1
virtual s32 | rand () const =0
| generates a pseudo random number in the range 0..randMax()
virtual s32 | randMax () const =0
| get maxmimum number generated by rand()
virtual void | reset (s32 value=0x0f0f0f0f)=0
| resets the randomizer
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.

## Detailed Description

Interface for generating random numbers.

Definition at line 14 of file IRandomizer.h.

## Member Function Documentation

## frand()

virtual f32 irr::IRandomizer::frand | ( |  | ) | const

pure virtual

generates a pseudo random number in the range 0..1

## rand()

virtual s32 irr::IRandomizer::rand | ( |  | ) | const

pure virtual

generates a pseudo random number in the range 0..randMax()

## randMax()

virtual s32 irr::IRandomizer::randMax | ( |  | ) | const

pure virtual

get maxmimum number generated by rand()

## reset()

virtual void irr::IRandomizer::reset | ( | s32 | value = 0x0f0f0f0f | ) |

pure virtual

resets the randomizer

Parameters

  value | Initialization value (seed)

The documentation for this class was generated from the following file:

- IRandomizer.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0